cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Browse your renewals
1107
Views
10
Helpful
5
Replies
BrodieN
Beginner

3560 k9 upgrade

Hi,

I recently purchased a catalyst 3560 switch and found it does not have SSH/crypto enabled on it.
Is there any easy way to upgrade this so I can get SSH to work on it?

Thank you for any help

1 ACCEPTED SOLUTION

Accepted Solutions
Rps-Cheers
Collaborator

I guess your IOS does not support the crypto command.

The K9 code means that your IOS image contains the crypto support. If the K9 is not shown (i.e. it says IPBASE-M or IPSERVICES-M only) then your IOS does not have the crypto feature set and you will need to upgrade it.

The image name containing the keyword "K9" should support crypto, ip ssh commands, for example (C3560-IPBASEK9-M)

Configuring SSH

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Rps-Cheers | If it solves your problem, please mark as answer. Thanks !

View solution in original post

5 REPLIES 5
balaji.bandi
VIP Guru

what is the current IOS running, can you post show version.

 

Use Cisco Feature Navigator to find information about platform support and Cisco software image support. To access Cisco Feature Navigator, go to http://www.cisco.com/go/cfn

 

 

here is the configuration guide :

 

https://www.cisco.com/c/en/us/td/docs/switches/lan/catalyst2960cx_3650cx/software/release/15-2_3_e/configuration/guide/b_1523e_consolidated_2960cx_3560cx_cg/b_consolidated_152ex_2960-X_cg_chapter_0101000.html

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help

Rps-Cheers
Collaborator

I guess your IOS does not support the crypto command.

The K9 code means that your IOS image contains the crypto support. If the K9 is not shown (i.e. it says IPBASE-M or IPSERVICES-M only) then your IOS does not have the crypto feature set and you will need to upgrade it.

The image name containing the keyword "K9" should support crypto, ip ssh commands, for example (C3560-IPBASEK9-M)

Configuring SSH

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Rps-Cheers | If it solves your problem, please mark as answer. Thanks !

Is there anyway to upgrade it to support SSH or crypto command? It does say IPBASE-M but can I reinstall a different iOS that does support it or upgrade it in any way?

EDIT: So I found the iOS download page and there are a couple different files to choose from. iOS 15 and an iOS 12 not sure which one is the one needed. But it looks like all of them have a k9 in them. Currently I guess i have the 12.2 installed but no k9 for some reason which is weird. Will any one of them work?

https://software.cisco.com/download/home/282526526/type/280805680/release/15.0.2-SE11?i=!pp
https://software.cisco.com/download/home/282526526/type/280805680/release/12.2.55-SE12?i=!pp

EDIT 2: found my version by looking at my switch model and compared versions to the ones in downloads. (12.2.55SE12)
Had to delete my old flash to upload the new one due to insufficient space.

Yes, K9 IOS is required. Generally, the space of the switch is insufficient. The original mirroring needs to be deleted. Once the K9 IOS is installed successfully, it should all support the crypto command, and then the ssh function can be configured.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Rps-Cheers | If it solves your problem, please mark as answer. Thanks !

Base License now support the feature you looking, So to install secure image, you need to uplift the License model

 

or stay with telnet by securing the device in the environment.  also if you intenet to go. delete the old image from device and upload new image for upgrade process.

BB

***** Rate All Helpful Responses *****

How to Ask The Cisco Community for Help